import java.awt.*;
/**
 * A rectangular box that "knows" its own location,
 * and can display itself on the screen.
 * 
 * @author Stephen Bloch
 * @version 11, Sept 13 2006
 */
public class Box
{
	// instance variables - replace the example below with your own
	private int x, y;
	final static int WIDTH = 34, HEIGHT = 21;

	/**
	 * Constructor for objects of class Box
	 * 
	 * @param x      the initial x-coordinate of the top-left corner
	 * @param y      the initial y-coordinate of the top-left corner
	 */
	public Box(int x, int y)
	{
		// initialise instance variables
		this.x = x;
		this.y = y;
	}

	/**
	 * Display the box on a given graphics context.
	 * 
	 * @param g2   a Graphics2D context into which to draw.
	 */
	public void show (Graphics2D g2) {
	    g2.fill (new Rectangle (this.x, this.y, Box.WIDTH, Box.HEIGHT));
	    }
	
	/**
	 * Move the box by a specified amount.
	 * 
	 * @param dx   how many pixels right to move
	 * @param dy   how many pixels down to move
	 */
	public void move (int dx, int dy) {
	    this.x += dx;
	    this.y += dy;
	   }
}