import javax.swing.*;

/**
 * Opens a window entitled "My example program".
 * In this version, we get rid of the separate SetUpOperation class
 * and replace it with an anonymous inner class.
 * @version 18, 9 Feb 2009.
 **/
public class Example 
{
    public static void main(String[] args) {
        javax.swing.SwingUtilities.invokeLater (
            new Runnable () {
                public void run () {
                    // Make sure we have nice window decorations.
                    JFrame.setDefaultLookAndFeelDecorated(true);
        
                    // Create the window and set its size.
                    JFrame frame = new JFrame ("My example program");
                    frame.setSize(500, 700);
        
                    // Make sure the program exits when the window is closed.
                    frame.setDefaultCloseOperation (JFrame.EXIT_ON_CLOSE);
        
                    // Add something to the window.
                    JComponent contents = new MyComponent();
                    frame.add(contents);
        
                    // Show the window.
                    frame.setVisible(true);
                } // end of run method
            } // end of inner class
        ); // end of invokeLater
    }
}
